local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireGridEntityCustom = ____shouldFire.shouldFireGridEntityCustom
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostGridEntityCustomBroken = __TS__Class()
local PostGridEntityCustomBroken = ____exports.PostGridEntityCustomBroken
PostGridEntityCustomBroken.name = "PostGridEntityCustomBroken"
__TS__ClassExtends(PostGridEntityCustomBroken, CustomCallback)
function PostGridEntityCustomBroken.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireGridEntityCustom
    self.featuresUsed = {ISCFeature.GRID_ENTITY_UPDATE_DETECTION}
end
return ____exports
